Pin Revision Integration Connection
curl --request POST \
--url https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id}/integrations/{integration_id}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id}/integrations/{integration_id}/connections"
payload = { "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.duvo.ai/v2/agents/{agent_id}/revisions/{build_id}/integrations/{integration_id}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Revision Integrations
Pin Revision Integration Connection
Pin one of your connections (from GET /v2/teams/:team_id/connections) to this build’s integration slot. Multi-pin is supported: a single user can pin multiple connections to the same slot.
POST
/
v2
/
agents
/
{agent_id}
/
revisions
/
{build_id}
/
integrations
/
{integration_id}
/
connections
Pin Revision Integration Connection
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Agent ID
Build ID
Integration ID (catalog integration ID or slot ID from the list response)
Body
application/json
ID of one of your connections (from GET /v2/teams/:team_id/connections) to pin to this slot
Response
Default Response
True if the connection was pinned
Was this page helpful?
⌘I